create or remove print subscription
1 min
POST
https://api.upstartcommerce.com/v1/customer/subscriptions/print/{listId}/subscription
listIdstring<uuid>Unique identifier for the print subscription list.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe request body should contain the details of print subscription.
201<p>Success - print subscription created or removed.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/subscriptions/print/{listId}/subscription \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"intent": "",
"details": {
"firstName": "John",
"lastName": "Doe",
"address": {
"addressLine1": "My Street 1",
"city": "New York",
"state": "New York",
"zip": "10001"
}
}
}'